"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionNetworkApi = void 0;
class ActionNetworkApi {
    constructor() {
        this.name = 'actionNetworkApi';
        this.displayName = 'Action Network API';
        this.documentationUrl = 'actionNetwork';
        this.properties = [
            {
                displayName: 'API Key',
                name: 'apiKey',
                type: 'string',
                typeOptions: { password: true },
                default: '',
            },
        ];
        this.test = {
            request: {
                baseURL: 'https://actionnetwork.org/api/v2',
                url: '/events?per_page=1',
            },
        };
    }
    async authenticate(credentials, requestOptions) {
        requestOptions.headers = { 'OSDI-API-Token': credentials.apiKey };
        return requestOptions;
    }
}
exports.ActionNetworkApi = ActionNetworkApi;
//# sourceMappingURL=ActionNetworkApi.credentials.js.map