import type { ICredentialDataDecryptedObject, ICredentialTestRequest, ICredentialType, IHttpRequestOptions, INodeProperties } from 'n8n-workflow';
export declare const regions: readonly [{
    readonly name: "af-south-1";
    readonly displayName: "Africa";
    readonly location: "Cape Town";
}, {
    readonly name: "ap-east-1";
    readonly displayName: "Asia Pacific";
    readonly location: "Hong Kong";
}, {
    readonly name: "ap-south-1";
    readonly displayName: "Asia Pacific";
    readonly location: "Mumbai";
}, {
    readonly name: "ap-southeast-1";
    readonly displayName: "Asia Pacific";
    readonly location: "Singapore";
}, {
    readonly name: "ap-southeast-2";
    readonly displayName: "Asia Pacific";
    readonly location: "Sydney";
}, {
    readonly name: "ap-southeast-3";
    readonly displayName: "Asia Pacific";
    readonly location: "Jakarta";
}, {
    readonly name: "ap-northeast-1";
    readonly displayName: "Asia Pacific";
    readonly location: "Tokyo";
}, {
    readonly name: "ap-northeast-2";
    readonly displayName: "Asia Pacific";
    readonly location: "Seoul";
}, {
    readonly name: "ap-northeast-3";
    readonly displayName: "Asia Pacific";
    readonly location: "Osaka";
}, {
    readonly name: "ca-central-1";
    readonly displayName: "Canada";
    readonly location: "Central";
}, {
    readonly name: "eu-central-1";
    readonly displayName: "Europe";
    readonly location: "Frankfurt";
}, {
    readonly name: "eu-north-1";
    readonly displayName: "Europe";
    readonly location: "Stockholm";
}, {
    readonly name: "eu-south-1";
    readonly displayName: "Europe";
    readonly location: "Milan";
}, {
    readonly name: "eu-west-1";
    readonly displayName: "Europe";
    readonly location: "Ireland";
}, {
    readonly name: "eu-west-2";
    readonly displayName: "Europe";
    readonly location: "London";
}, {
    readonly name: "eu-west-3";
    readonly displayName: "Europe";
    readonly location: "Paris";
}, {
    readonly name: "me-south-1";
    readonly displayName: "Middle East";
    readonly location: "Bahrain";
}, {
    readonly name: "sa-east-1";
    readonly displayName: "South America";
    readonly location: "São Paulo";
}, {
    readonly name: "us-east-1";
    readonly displayName: "US East";
    readonly location: "N. Virginia";
}, {
    readonly name: "us-east-2";
    readonly displayName: "US East";
    readonly location: "Ohio";
}, {
    readonly name: "us-west-1";
    readonly displayName: "US West";
    readonly location: "N. California";
}, {
    readonly name: "us-west-2";
    readonly displayName: "US West";
    readonly location: "Oregon";
}];
export type AWSRegion = (typeof regions)[number]['name'];
export declare class Aws implements ICredentialType {
    name: string;
    displayName: string;
    documentationUrl: string;
    icon: string;
    properties: INodeProperties[];
    authenticate(credentials: ICredentialDataDecryptedObject, requestOptions: IHttpRequestOptions): Promise<IHttpRequestOptions>;
    test: ICredentialTestRequest;
}
