"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudflareApi = void 0;
class CloudflareApi {
    constructor() {
        this.name = 'cloudflareApi';
        this.displayName = 'Cloudflare API';
        this.documentationUrl = 'cloudflare';
        this.properties = [
            {
                displayName: 'API Token',
                name: 'apiToken',
                type: 'string',
                typeOptions: { password: true },
                default: '',
            },
        ];
        this.authenticate = {
            type: 'generic',
            properties: {
                headers: {
                    Authorization: '=Bearer {{$credentials.apiToken}}',
                },
            },
        };
        this.test = {
            request: {
                baseURL: 'https://api.cloudflare.com/client/v4/user/tokens/verify',
            },
        };
    }
}
exports.CloudflareApi = CloudflareApi;
//# sourceMappingURL=CloudflareApi.credentials.js.map