"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GotifyApi = void 0;
class GotifyApi {
    constructor() {
        this.name = 'gotifyApi';
        this.displayName = 'Gotify API';
        this.documentationUrl = 'gotify';
        this.properties = [
            {
                displayName: 'App API Token',
                name: 'appApiToken',
                type: 'string',
                typeOptions: {
                    password: true,
                },
                default: '',
                description: '(Optional) Needed for message creation',
            },
            {
                displayName: 'Client API Token',
                name: 'clientApiToken',
                type: 'string',
                typeOptions: {
                    password: true,
                },
                default: '',
                description: '(Optional) Needed for everything (delete, getAll) but message creation',
            },
            {
                displayName: 'URL',
                name: 'url',
                type: 'string',
                default: '',
                description: 'The URL of the Gotify host',
            },
            {
                displayName: 'Ignore SSL Issues',
                name: 'ignoreSSLIssues',
                type: 'boolean',
                default: false,
                description: 'Whether to connect even if SSL certificate validation is not possible',
            },
        ];
    }
}
exports.GotifyApi = GotifyApi;
//# sourceMappingURL=GotifyApi.credentials.js.map