"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HubspotAppToken = void 0;
class HubspotAppToken {
    constructor() {
        this.name = 'hubspotAppToken';
        this.displayName = 'HubSpot App Token';
        this.documentationUrl = 'hubspot';
        this.properties = [
            {
                displayName: 'APP Token',
                name: 'appToken',
                type: 'string',
                typeOptions: { password: true },
                default: '',
            },
        ];
        this.authenticate = {
            type: 'generic',
            properties: {
                headers: {
                    Authorization: '=Bearer {{$credentials.appToken}}',
                },
            },
        };
        this.test = {
            request: {
                baseURL: 'https://api.hubapi.com',
                url: '/account-info/v3/details',
            },
        };
    }
}
exports.HubspotAppToken = HubspotAppToken;
//# sourceMappingURL=HubspotAppToken.credentials.js.map