"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImpervaWafApi = void 0;
class ImpervaWafApi {
    constructor() {
        this.name = 'impervaWafApi';
        this.displayName = 'Imperva WAF API';
        this.documentationUrl = 'impervawaf';
        this.icon = 'file:icons/Imperva.svg';
        this.httpRequestNode = {
            name: 'Imperva WAF',
            docsUrl: 'https://docs.imperva.com/bundle/api-docs',
            apiBaseUrl: 'https://api.imperva.com/',
        };
        this.properties = [
            {
                displayName: 'API ID',
                name: 'apiID',
                type: 'string',
                default: '',
                required: true,
            },
            {
                displayName: 'API Key',
                name: 'apiKey',
                type: 'string',
                typeOptions: { password: true },
                default: '',
                required: true,
            },
        ];
        this.authenticate = {
            type: 'generic',
            properties: {
                headers: {
                    'x-API-Id': '={{$credentials.apiID}}',
                    'x-API-Key': '={{$credentials.apiKey}}',
                },
            },
        };
    }
}
exports.ImpervaWafApi = ImpervaWafApi;
//# sourceMappingURL=ImpervaWafApi.credentials.js.map