"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MailchimpApi = void 0;
class MailchimpApi {
    constructor() {
        this.name = 'mailchimpApi';
        this.displayName = 'Mailchimp API';
        this.documentationUrl = 'mailchimp';
        this.properties = [
            {
                displayName: 'API Key',
                name: 'apiKey',
                type: 'string',
                typeOptions: { password: true },
                default: '',
            },
        ];
        this.authenticate = {
            type: 'generic',
            properties: {
                headers: {
                    Authorization: '=apikey {{$credentials.apiKey}}',
                },
            },
        };
        this.test = {
            request: {
                baseURL: '=https://{{$credentials.apiKey.split("-").pop()}}.api.mailchimp.com/3.0',
                url: '/lists',
            },
        };
    }
}
exports.MailchimpApi = MailchimpApi;
//# sourceMappingURL=MailchimpApi.credentials.js.map