"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MattermostApi = void 0;
class MattermostApi {
    constructor() {
        this.name = 'mattermostApi';
        this.displayName = 'Mattermost API';
        this.documentationUrl = 'mattermost';
        this.properties = [
            {
                displayName: 'Access Token',
                name: 'accessToken',
                type: 'string',
                typeOptions: { password: true },
                default: '',
            },
            {
                displayName: 'Base URL',
                name: 'baseUrl',
                type: 'string',
                default: '',
            },
            {
                displayName: 'Ignore SSL Issues',
                name: 'allowUnauthorizedCerts',
                type: 'boolean',
                description: 'Whether to connect even if SSL certificate validation is not possible',
                default: false,
            },
        ];
        this.authenticate = {
            type: 'generic',
            properties: {
                headers: {
                    Authorization: '=Bearer {{$credentials.accessToken}}',
                },
            },
        };
        this.test = {
            request: {
                baseURL: '={{$credentials.baseUrl.replace(/\\/$/, "")}}/api/v4',
                url: '/users',
                skipSslCertificateValidation: '={{$credentials?.allowUnauthorizedCerts}}',
            },
        };
    }
}
exports.MattermostApi = MattermostApi;
//# sourceMappingURL=MattermostApi.credentials.js.map