"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PostmarkApi = void 0;
class PostmarkApi {
    constructor() {
        this.name = 'postmarkApi';
        this.displayName = 'Postmark API';
        this.documentationUrl = 'postmark';
        this.properties = [
            {
                displayName: 'Server API Token',
                name: 'serverToken',
                type: 'string',
                typeOptions: { password: true },
                default: '',
            },
        ];
        this.authenticate = {
            type: 'generic',
            properties: {
                headers: {
                    'X-Postmark-Server-Token': '={{$credentials.serverToken}}',
                },
            },
        };
        this.test = {
            request: {
                baseURL: 'https://api.postmarkapp.com',
                url: '/server',
                method: 'GET',
            },
        };
    }
}
exports.PostmarkApi = PostmarkApi;
//# sourceMappingURL=PostmarkApi.credentials.js.map