"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TwitterOAuth1Api = void 0;
class TwitterOAuth1Api {
    constructor() {
        this.name = 'twitterOAuth1Api';
        this.extends = ['oAuth1Api'];
        this.displayName = 'X OAuth API';
        this.documentationUrl = 'twitter';
        this.properties = [
            {
                displayName: 'Request Token URL',
                name: 'requestTokenUrl',
                type: 'hidden',
                default: 'https://api.twitter.com/oauth/request_token',
            },
            {
                displayName: 'Authorization URL',
                name: 'authUrl',
                type: 'hidden',
                default: 'https://api.twitter.com/oauth/authorize',
            },
            {
                displayName: 'Access Token URL',
                name: 'accessTokenUrl',
                type: 'hidden',
                default: 'https://api.twitter.com/oauth/access_token',
            },
            {
                displayName: 'Signature Method',
                name: 'signatureMethod',
                type: 'hidden',
                default: 'HMAC-SHA1',
            },
            {
                displayName: 'Some operations requires a Basic or a Pro API for more informations see <a href="https://developer.twitter.com/en/products/twitter-api" target="_blank">X API Docs</a>',
                name: 'apiPermissioms',
                type: 'notice',
                default: '',
            },
        ];
    }
}
exports.TwitterOAuth1Api = TwitterOAuth1Api;
//# sourceMappingURL=TwitterOAuth1Api.credentials.js.map