"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebflowApi = void 0;
class WebflowApi {
    constructor() {
        this.name = 'webflowApi';
        this.displayName = 'Webflow API';
        this.documentationUrl = 'webflow';
        this.properties = [
            {
                displayName: 'Access Token',
                name: 'accessToken',
                type: 'string',
                typeOptions: { password: true },
                default: '',
            },
        ];
        this.authenticate = {
            type: 'generic',
            properties: {
                headers: {
                    Authorization: '=Bearer {{$credentials.accessToken}}',
                },
            },
        };
        this.test = {
            request: {
                baseURL: 'https://api.webflow.com',
                url: '/sites',
            },
        };
    }
}
exports.WebflowApi = WebflowApi;
//# sourceMappingURL=WebflowApi.credentials.js.map