"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Airtable = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const AirtableV1_node_1 = require("./v1/AirtableV1.node");
const AirtableV2_node_1 = require("./v2/AirtableV2.node");
class Airtable extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'Airtable',
            name: 'airtable',
            icon: 'file:airtable.svg',
            group: ['input'],
            description: 'Read, update, write and delete data from Airtable',
            defaultVersion: 2,
        };
        const nodeVersions = {
            1: new AirtableV1_node_1.AirtableV1(baseDescription),
            2: new AirtableV2_node_1.AirtableV2(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.Airtable = Airtable;
//# sourceMappingURL=Airtable.node.js.map