"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMockExecuteFunction = exports.node = void 0;
const lodash_1 = require("lodash");
const n8n_core_1 = require("n8n-core");
exports.node = {
    id: '11',
    name: 'Airtable node',
    typeVersion: 2,
    type: 'n8n-nodes-base.airtable',
    position: [42, 42],
    parameters: {
        operation: 'create',
    },
};
const createMockExecuteFunction = (nodeParameters) => {
    const fakeExecuteFunction = {
        getInputData() {
            return [{ json: {} }];
        },
        getNodeParameter(parameterName, _itemIndex, fallbackValue, options) {
            const parameter = (options === null || options === void 0 ? void 0 : options.extractValue) ? `${parameterName}.value` : parameterName;
            return (0, lodash_1.get)(nodeParameters, parameter, fallbackValue);
        },
        getNode() {
            return exports.node;
        },
        helpers: { constructExecutionMetaData: n8n_core_1.constructExecutionMetaData },
        continueOnFail: () => false,
    };
    return fakeExecuteFunction;
};
exports.createMockExecuteFunction = createMockExecuteFunction;
//# sourceMappingURL=helpers.js.map