"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get = void 0;
const transport_1 = require("../../../transport");
async function get(index) {
    const body = {};
    const requestMethod = 'GET';
    const id = this.getNodeParameter('employeeId', index);
    let fields = this.getNodeParameter('options.fields', index, ['all']);
    if (fields.includes('all')) {
        const { fields: allFields } = await transport_1.apiRequest.call(this, requestMethod, 'employees/directory', body);
        fields = allFields.map((field) => field.id);
    }
    const endpoint = `employees/${id}?fields=${fields}`;
    const responseData = await transport_1.apiRequest.call(this, requestMethod, endpoint, body);
    return this.helpers.returnJsonArray(responseData);
}
exports.get = get;
//# sourceMappingURL=execute.js.map