"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.download = void 0;
const transport_1 = require("../../../transport");
async function download(index) {
    const body = {};
    const requestMethod = 'GET';
    const items = this.getInputData();
    const id = this.getNodeParameter('employeeId', index);
    const fileId = this.getNodeParameter('fileId', index);
    const output = this.getNodeParameter('output', index);
    const endpoint = `employees/${id}/files/${fileId}/`;
    const response = await transport_1.apiRequest.call(this, requestMethod, endpoint, body, {}, {
        encoding: null,
        json: false,
        resolveWithFullResponse: true,
    });
    let mimeType = response.headers['content-type'];
    mimeType = mimeType ? mimeType.split(';').find((value) => value.includes('/')) : undefined;
    const contentDisposition = response.headers['content-disposition'];
    const fileNameRegex = /(?<=filename=").*\b/;
    const match = fileNameRegex.exec(contentDisposition);
    let fileName = '';
    if (match !== null) {
        fileName = match[0];
    }
    const newItem = {
        json: items[index].json,
        binary: {},
    };
    if (items[index].binary !== undefined && newItem.binary) {
        Object.assign(newItem.binary, items[index].binary);
    }
    newItem.binary = {
        [output]: await this.helpers.prepareBinaryData(response.body, fileName, mimeType),
    };
    return [newItem];
}
exports.download = download;
//# sourceMappingURL=execute.js.map