"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAll = void 0;
const transport_1 = require("../../../transport");
async function getAll(index) {
    const body = {};
    const requestMethod = 'GET';
    const id = this.getNodeParameter('employeeId', index);
    const simplifyOutput = this.getNodeParameter('simplifyOutput', index);
    const returnAll = this.getNodeParameter('returnAll', 0, false);
    const limit = this.getNodeParameter('limit', 0, 0);
    const endpoint = `employees/${id}/files/view/`;
    const responseData = await transport_1.apiRequest.call(this, requestMethod, endpoint, body);
    const onlyFilesArray = [];
    if (simplifyOutput) {
        for (let i = 0; i < responseData.categories.length; i++) {
            if (responseData.categories[i].hasOwnProperty('files')) {
                for (let j = 0; j < responseData.categories[i].files.length; j++) {
                    onlyFilesArray.push(responseData.categories[i].files[j]);
                }
            }
        }
        if (!returnAll && onlyFilesArray.length > limit) {
            return this.helpers.returnJsonArray(onlyFilesArray.slice(0, limit));
        }
        else {
            return this.helpers.returnJsonArray(onlyFilesArray);
        }
    }
    if (!returnAll && responseData.categories.length > limit) {
        return this.helpers.returnJsonArray(responseData.categories.slice(0, limit));
    }
    return this.helpers.returnJsonArray(responseData.categories);
}
exports.getAll = getAll;
//# sourceMappingURL=execute.js.map