"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.router = void 0;
const employee = __importStar(require("./employee"));
const employeeDocument = __importStar(require("./employeeDocument"));
const file = __importStar(require("./file"));
const companyReport = __importStar(require("./companyReport"));
async function router() {
    const items = this.getInputData();
    const operationResult = [];
    for (let i = 0; i < items.length; i++) {
        const resource = this.getNodeParameter('resource', i);
        const operation = this.getNodeParameter('operation', i);
        const bamboohr = {
            resource,
            operation,
        };
        if (bamboohr.operation === 'delete') {
            bamboohr.operation = 'del';
        }
        try {
            if (bamboohr.resource === 'employee') {
                operationResult.push(...(await employee[bamboohr.operation].execute.call(this, i)));
            }
            else if (bamboohr.resource === 'employeeDocument') {
                operationResult.push(...(await employeeDocument[bamboohr.operation].execute.call(this, i)));
            }
            else if (bamboohr.resource === 'file') {
                operationResult.push(...(await file[bamboohr.operation].execute.call(this, i)));
            }
            else if (bamboohr.resource === 'companyReport') {
                operationResult.push(...(await companyReport[bamboohr.operation].execute.call(this, i)));
            }
        }
        catch (err) {
            if (this.continueOnFail()) {
                operationResult.push({ json: this.getInputData(i)[0].json, error: err });
            }
            else {
                throw err;
            }
        }
    }
    return operationResult;
}
exports.router = router;
//# sourceMappingURL=router.js.map