import type { IDataObject, IExecuteFunctions, IHttpRequestMethods, ILoadOptionsFunctions } from 'n8n-workflow';
import type { BaserowCredentials, LoadedResource } from './types';
export declare function baserowApiRequest(this: IExecuteFunctions | ILoadOptionsFunctions, method: IHttpRequestMethods, endpoint: string, jwtToken: string, body?: IDataObject, qs?: IDataObject): Promise<any>;
export declare function baserowApiRequestAllItems(this: IExecuteFunctions, method: IHttpRequestMethods, endpoint: string, jwtToken: string, body: IDataObject, qs?: IDataObject): Promise<IDataObject[]>;
export declare function getJwtToken(this: IExecuteFunctions | ILoadOptionsFunctions, { username, password, host }: BaserowCredentials): Promise<string>;
export declare function getFieldNamesAndIds(this: IExecuteFunctions, tableId: string, jwtToken: string): Promise<{
    names: string[];
    ids: string[];
}>;
export declare const toOptions: (items: LoadedResource[]) => {
    name: string;
    value: number;
}[];
export declare class TableFieldMapper {
    nameToIdMapping: Record<string, string>;
    idToNameMapping: Record<string, string>;
    mapIds: boolean;
    getTableFields(this: IExecuteFunctions, table: string, jwtToken: string): Promise<LoadedResource[]>;
    createMappings(tableFields: LoadedResource[]): void;
    private createIdToNameMapping;
    private createNameToIdMapping;
    setField(field: string): string;
    idsToNames(obj: Record<string, unknown>): void;
    namesToIds(obj: Record<string, unknown>): void;
}
