import type { IHookFunctions, IWebhookFunctions, ICredentialsDecrypted, ICredentialTestFunctions, ILoadOptionsFunctions, INodeCredentialTestResult, INodePropertyOptions, INodeType, INodeTypeDescription, IWebhookResponseData } from 'n8n-workflow';
export declare class BitbucketTrigger implements INodeType {
    description: INodeTypeDescription;
    methods: {
        credentialTest: {
            bitbucketApiTest(this: ICredentialTestFunctions, credential: ICredentialsDecrypted): Promise<INodeCredentialTestResult>;
        };
        loadOptions: {
            getWorkspaceEvents(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getRepositoriesEvents(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getRepositories(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getWorkspaces(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
        };
    };
    webhookMethods: {
        default: {
            checkExists(this: IHookFunctions): Promise<boolean>;
            create(this: IHookFunctions): Promise<boolean>;
            delete(this: IHookFunctions): Promise<boolean>;
        };
    };
    webhook(this: IWebhookFunctions): Promise<IWebhookResponseData>;
}
