import { type Resolver } from '@n8n/vm2';
import type { IExecuteFunctions, INodeExecutionData } from 'n8n-workflow';
import type { SandboxContext } from './Sandbox';
import { Sandbox } from './Sandbox';
export declare const vmResolver: Resolver;
export declare class JavaScriptSandbox extends Sandbox {
    private jsCode;
    private readonly vm;
    constructor(context: SandboxContext, jsCode: string, itemIndex: number | undefined, helpers: IExecuteFunctions['helpers'], options?: {
        resolver?: Resolver;
    });
    runCode(): Promise<unknown>;
    runCodeAllItems(options?: {
        multiOutput?: boolean;
    }): Promise<INodeExecutionData[] | INodeExecutionData[][]>;
    runCodeEachItem(): Promise<INodeExecutionData | undefined>;
}
