import type { ICredentialDataDecryptedObject, IDataObject, IExecuteFunctions, IHookFunctions, IHttpRequestMethods, ILoadOptionsFunctions, IWebhookFunctions } from 'n8n-workflow';
import type { AddressFixedCollection, EmailFixedCollection, EmailsFixedCollection, PhoneNumbersFixedCollection } from './utils/types';
export declare function copperApiRequest(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions, method: IHttpRequestMethods, resource: string, body?: IDataObject, qs?: IDataObject, uri?: string, option?: IDataObject): Promise<any>;
export declare function getAutomaticSecret(credentials: ICredentialDataDecryptedObject): string;
export declare function adjustAddress(fixedCollection: AddressFixedCollection): {
    address?: object | undefined;
};
export declare function adjustPhoneNumbers(fixedCollection: PhoneNumbersFixedCollection): {
    phone_numbers?: object | undefined;
};
export declare function adjustEmails(fixedCollection: EmailsFixedCollection): {
    emails?: object | undefined;
};
export declare function adjustProjectIds(fields: {
    project_ids?: string;
}): {
    project_ids?: string | undefined;
} | {
    project_ids?: string[] | undefined;
};
export declare function adjustEmail(fixedCollection: EmailFixedCollection): {
    email?: object | undefined;
};
export declare const adjustCompanyFields: (...args: any[]) => any;
export declare const adjustLeadFields: (...args: any[]) => any;
export declare const adjustPersonFields: (...args: any[]) => any;
export declare const adjustTaskFields: (...args: any[]) => any;
export declare function copperApiRequestAllItems(this: IHookFunctions | ILoadOptionsFunctions | IExecuteFunctions, method: IHttpRequestMethods, resource: string, body?: IDataObject, qs?: IDataObject, uri?: string, option?: IDataObject): Promise<IDataObject[]>;
export declare function handleListing(this: IExecuteFunctions, method: IHttpRequestMethods, endpoint: string, qs?: IDataObject, body?: IDataObject, uri?: string): Promise<IDataObject[]>;
