"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateTime = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const DateTimeV1_node_1 = require("./V1/DateTimeV1.node");
const DateTimeV2_node_1 = require("./V2/DateTimeV2.node");
class DateTime extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'Date & Time',
            name: 'dateTime',
            icon: 'fa:clock',
            group: ['transform'],
            defaultVersion: 2,
            description: 'Allows you to manipulate date and time values',
            subtitle: '={{$parameter["action"]}}',
        };
        const nodeVersions = {
            1: new DateTimeV1_node_1.DateTimeV1(baseDescription),
            2: new DateTimeV2_node_1.DateTimeV2(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.DateTime = DateTime;
//# sourceMappingURL=DateTime.node.js.map