"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurrentDateDescription = void 0;
const common_descriptions_1 = require("./common.descriptions");
exports.CurrentDateDescription = [
    {
        displayName: 'You can also refer to the current date in n8n expressions by using <code>{{$now}}</code> or <code>{{$today}}</code>. <a target="_blank" href="https://docs.n8n.io/code-examples/expressions/luxon/">More info</a>',
        name: 'notice',
        type: 'notice',
        default: '',
        displayOptions: {
            show: {
                operation: ['getCurrentDate'],
            },
        },
    },
    {
        displayName: 'Include Current Time',
        name: 'includeTime',
        type: 'boolean',
        default: true,
        description: 'When deactivated, the time will be set to midnight',
        displayOptions: {
            show: {
                operation: ['getCurrentDate'],
            },
        },
    },
    {
        displayName: 'Output Field Name',
        name: 'outputFieldName',
        type: 'string',
        default: 'currentDate',
        description: 'Name of the field to put the output in',
        displayOptions: {
            show: {
                operation: ['getCurrentDate'],
            },
        },
    },
    {
        displayName: 'Options',
        name: 'options',
        type: 'collection',
        placeholder: 'Add Option',
        displayOptions: {
            show: {
                operation: ['getCurrentDate'],
            },
        },
        default: {},
        options: [
            common_descriptions_1.includeInputFields,
            {
                displayName: 'Timezone',
                name: 'timezone',
                type: 'string',
                placeholder: 'America/New_York',
                default: '',
                description: 'The timezone to use. If not set, the timezone of the n8n instance will be used. Use ‘GMT’ for +00:00 timezone.',
            },
        ],
    },
];
//# sourceMappingURL=CurrentDateDescription.js.map