"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetTimeBetweenDatesDescription = void 0;
const common_descriptions_1 = require("./common.descriptions");
exports.GetTimeBetweenDatesDescription = [
    {
        displayName: 'Start Date',
        name: 'startDate',
        type: 'string',
        default: '',
        displayOptions: {
            show: {
                operation: ['getTimeBetweenDates'],
            },
        },
    },
    {
        displayName: 'End Date',
        name: 'endDate',
        type: 'string',
        default: '',
        displayOptions: {
            show: {
                operation: ['getTimeBetweenDates'],
            },
        },
    },
    {
        displayName: 'Units',
        name: 'units',
        type: 'multiOptions',
        options: [
            {
                name: 'Year',
                value: 'year',
            },
            {
                name: 'Month',
                value: 'month',
            },
            {
                name: 'Week',
                value: 'week',
            },
            {
                name: 'Day',
                value: 'day',
            },
            {
                name: 'Hour',
                value: 'hour',
            },
            {
                name: 'Minute',
                value: 'minute',
            },
            {
                name: 'Second',
                value: 'second',
            },
            {
                name: 'Millisecond',
                value: 'millisecond',
            },
        ],
        displayOptions: {
            show: {
                operation: ['getTimeBetweenDates'],
            },
        },
        default: ['day'],
    },
    {
        displayName: 'Output Field Name',
        name: 'outputFieldName',
        type: 'string',
        default: 'timeDifference',
        description: 'Name of the field to put the output in',
        displayOptions: {
            show: {
                operation: ['getTimeBetweenDates'],
            },
        },
    },
    {
        displayName: 'Options',
        name: 'options',
        type: 'collection',
        placeholder: 'Add Option',
        displayOptions: {
            show: {
                operation: ['getTimeBetweenDates'],
            },
        },
        default: {},
        options: [
            common_descriptions_1.includeInputFields,
            {
                displayName: 'Output as ISO String',
                name: 'isoString',
                type: 'boolean',
                default: false,
                description: 'Whether to output the date as ISO string or not',
            },
        ],
    },
];
//# sourceMappingURL=GetTimeBetweenDates.js.map