"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateVersion = exports.generateLocation = exports.generateMAC = exports.generateIPv6 = exports.generateIPv4 = exports.generateURL = exports.generateCreditCard = exports.generateNanoid = exports.generateUUID = exports.generateRandomEmail = exports.generateRandomAddress = exports.generateRandomUser = void 0;
const minifaker_1 = require("minifaker");
require("minifaker/locales/en");
function generateRandomUser() {
    return {
        uid: minifaker_1.uuid.v4(),
        email: (0, minifaker_1.email)(),
        firstname: (0, minifaker_1.firstName)(),
        lastname: (0, minifaker_1.lastName)(),
        password: (0, minifaker_1.password)(),
    };
}
exports.generateRandomUser = generateRandomUser;
function generateRandomAddress() {
    return {
        firstname: (0, minifaker_1.firstName)(),
        lastname: (0, minifaker_1.lastName)(),
        street: (0, minifaker_1.streetAddress)(),
        city: (0, minifaker_1.cityName)(),
        zip: (0, minifaker_1.zipCode)({ format: '#####' }),
        state: (0, minifaker_1.state)(),
        country: (0, minifaker_1.country)(),
    };
}
exports.generateRandomAddress = generateRandomAddress;
function generateRandomEmail() {
    return {
        email: (0, minifaker_1.email)(),
        confirmed: (0, minifaker_1.boolean)(),
    };
}
exports.generateRandomEmail = generateRandomEmail;
function generateUUID() {
    return { uuid: minifaker_1.uuid.v4() };
}
exports.generateUUID = generateUUID;
function generateNanoid(customAlphabet, length) {
    return { nanoId: minifaker_1.nanoId.customAlphabet(customAlphabet, parseInt(length, 10))().toString() };
}
exports.generateNanoid = generateNanoid;
function generateCreditCard() {
    return {
        type: (0, minifaker_1.boolean)() ? 'MasterCard' : 'Visa',
        number: (0, minifaker_1.creditCardNumber)(),
        ccv: (0, minifaker_1.creditCardCVV)(),
        exp: `${(0, minifaker_1.number)({ min: 1, max: 12, float: false }).toString().padStart(2, '0')}/${(0, minifaker_1.number)({
            min: 1,
            max: 40,
            float: false,
        })
            .toString()
            .padStart(2, '0')}`,
        holder_name: `${(0, minifaker_1.firstName)()} ${(0, minifaker_1.lastName)()}`,
    };
}
exports.generateCreditCard = generateCreditCard;
function generateURL() {
    return { url: (0, minifaker_1.domainUrl)() };
}
exports.generateURL = generateURL;
function generateIPv4() {
    return { ip: (0, minifaker_1.ip)() };
}
exports.generateIPv4 = generateIPv4;
function generateIPv6() {
    return { ipv6: (0, minifaker_1.ipv6)() };
}
exports.generateIPv6 = generateIPv6;
function generateMAC() {
    return { mac: (0, minifaker_1.macAddress)() };
}
exports.generateMAC = generateMAC;
function generateLocation() {
    return { location: (0, minifaker_1.latLong)() };
}
exports.generateLocation = generateLocation;
function generateVersion() {
    return { version: (0, minifaker_1.semver)() };
}
exports.generateVersion = generateVersion;
//# sourceMappingURL=randomData.js.map