"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DiscordV2 = void 0;
const methods_1 = require("./methods");
const router_1 = require("./actions/router");
const versionDescription_1 = require("./actions/versionDescription");
class DiscordV2 {
    constructor(baseDescription) {
        this.methods = {
            listSearch: methods_1.listSearch,
            loadOptions: methods_1.loadOptions,
        };
        this.description = {
            ...baseDescription,
            ...versionDescription_1.versionDescription,
        };
    }
    async execute() {
        return await router_1.router.call(this);
    }
}
exports.DiscordV2 = DiscordV2;
//# sourceMappingURL=DiscordV2.node.js.map