"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapPairedItemsFrom = exports.dropcontactApiRequest = void 0;
async function dropcontactApiRequest(method, endpoint, body, qs) {
    const options = {
        method,
        uri: `https://api.dropcontact.io${endpoint}`,
        qs,
        body,
        json: true,
    };
    if (!Object.keys(body).length) {
        delete options.body;
    }
    if (!Object.keys(qs).length) {
        delete options.qs;
    }
    return await this.helpers.requestWithAuthentication.call(this, 'dropcontactApi', options);
}
exports.dropcontactApiRequest = dropcontactApiRequest;
function mapPairedItemsFrom(iterable) {
    return Array.from(iterable, (_, i) => i).map((index) => {
        return {
            item: index,
        };
    });
}
exports.mapPairedItemsFrom = mapPairedItemsFrom;
//# sourceMappingURL=GenericFunction.js.map