"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmailReadImap = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const EmailReadImapV1_node_1 = require("./v1/EmailReadImapV1.node");
const EmailReadImapV2_node_1 = require("./v2/EmailReadImapV2.node");
class EmailReadImap extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'Email Trigger (IMAP)',
            name: 'emailReadImap',
            icon: 'fa:inbox',
            group: ['trigger'],
            description: 'Triggers the workflow when a new email is received',
            defaultVersion: 2,
        };
        const nodeVersions = {
            1: new EmailReadImapV1_node_1.EmailReadImapV1(baseDescription),
            2: new EmailReadImapV2_node_1.EmailReadImapV2(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.EmailReadImap = EmailReadImap;
//# sourceMappingURL=EmailReadImap.node.js.map