import type { IDataObject, IExecuteFunctions, IHookFunctions, IHttpRequestMethods, ILoadOptionsFunctions, IWebhookFunctions } from 'n8n-workflow';
import type { CreateFacebookAppWebhookSubscription, FacebookAppWebhookSubscription, FacebookFormListResponse, FacebookPageListResponse } from './types';
export declare function facebookApiRequest(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions, method: IHttpRequestMethods, resource: string, body?: {}, qs?: IDataObject): Promise<any>;
export declare function appAccessTokenRead(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions): Promise<{
    access_token: string;
}>;
export declare function facebookAppApiRequest(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions, method: IHttpRequestMethods, resource: string, body?: {
    type: 'json';
    payload: IDataObject;
} | {
    type: 'form';
    payload: IDataObject;
}, qs?: IDataObject): Promise<any>;
export declare function appWebhookSubscriptionList(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions, appId: string): Promise<FacebookAppWebhookSubscription[]>;
export declare function appWebhookSubscriptionCreate(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions, appId: string, subscription: CreateFacebookAppWebhookSubscription): Promise<any>;
export declare function appWebhookSubscriptionDelete(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions, appId: string, object: string): Promise<any>;
export declare function facebookPageList(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions, cursor?: string): Promise<FacebookPageListResponse>;
export declare function facebookEntityDetail(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions, entityId: string, fields?: string): Promise<any>;
export declare function facebookPageApiRequest(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions, method: IHttpRequestMethods, resource: string, body?: {}, qs?: IDataObject): Promise<any>;
export declare function installAppOnPage(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions, pageId: string, fields: string): Promise<any>;
export declare function facebookFormList(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions | IWebhookFunctions, pageId: string, cursor?: string): Promise<FacebookFormListResponse>;
