"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Filter = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const FilterV1_node_1 = require("./V1/FilterV1.node");
const FilterV2_node_1 = require("./V2/FilterV2.node");
class Filter extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'Filter',
            name: 'filter',
            icon: 'fa:filter',
            group: ['transform'],
            description: 'Remove items matching a condition',
        };
        const nodeVersions = {
            1: new FilterV1_node_1.FilterV1(baseDescription),
            2: new FilterV2_node_1.FilterV2(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.Filter = Filter;
//# sourceMappingURL=Filter.node.js.map