import type { IHookFunctions, IWebhookFunctions, INodeType, INodeTypeDescription, IWebhookResponseData } from 'n8n-workflow';
import { getRepositories, getUsers } from './SearchFunctions';
export declare class GithubTrigger implements INodeType {
    description: INodeTypeDescription;
    webhookMethods: {
        default: {
            checkExists(this: IHookFunctions): Promise<boolean>;
            create(this: IHookFunctions): Promise<boolean>;
            delete(this: IHookFunctions): Promise<boolean>;
        };
    };
    methods: {
        listSearch: {
            getUsers: typeof getUsers;
            getRepositories: typeof getRepositories;
        };
    };
    webhook(this: IWebhookFunctions): Promise<IWebhookResponseData>;
}
