"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GoogleBigQueryV2 = void 0;
const methods_1 = require("./methods");
const versionDescription_1 = require("./actions/versionDescription");
const router_1 = require("./actions/router");
class GoogleBigQueryV2 {
    constructor(baseDescription) {
        this.methods = { loadOptions: methods_1.loadOptions, listSearch: methods_1.listSearch };
        this.description = {
            ...baseDescription,
            ...versionDescription_1.versionDescription,
        };
    }
    async execute() {
        return await router_1.router.call(this);
    }
}
exports.GoogleBigQueryV2 = GoogleBigQueryV2;
//# sourceMappingURL=GoogleBigQueryV2.node.js.map