"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMockExecuteFunction = exports.driveNode = void 0;
const lodash_1 = require("lodash");
const n8n_core_1 = require("n8n-core");
exports.driveNode = {
    id: '11',
    name: 'Google Drive node',
    typeVersion: 3,
    type: 'n8n-nodes-base.googleDrive',
    position: [42, 42],
    parameters: {},
};
const createMockExecuteFunction = (nodeParameters, node, continueOnFail = false) => {
    const fakeExecuteFunction = {
        getNodeParameter(parameterName, _itemIndex, fallbackValue, options) {
            const parameter = (options === null || options === void 0 ? void 0 : options.extractValue) ? `${parameterName}.value` : parameterName;
            return (0, lodash_1.get)(nodeParameters, parameter, fallbackValue);
        },
        getNode() {
            return node;
        },
        helpers: {
            constructExecutionMetaData: n8n_core_1.constructExecutionMetaData,
            returnJsonArray: n8n_core_1.returnJsonArray,
            prepareBinaryData: () => { },
            httpRequest: () => { },
        },
        continueOnFail: () => continueOnFail,
    };
    return fakeExecuteFunction;
};
exports.createMockExecuteFunction = createMockExecuteFunction;
//# sourceMappingURL=helpers.js.map