/// <reference types="node" />
import type { IDataObject, IPollFunctions } from 'n8n-workflow';
import type { SheetDataRow, SheetRangeData } from './v2/helpers/GoogleSheets.types';
export declare const BINARY_MIME_TYPE = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
export declare function getRevisionFile(this: IPollFunctions, exportLink: string): Promise<Buffer>;
export declare function sheetBinaryToArrayOfArrays(data: Buffer, sheetName: string, range: string | undefined): string[][];
export declare function arrayOfArraysToJson(sheetData: SheetRangeData, columns: SheetDataRow): IDataObject[];
export declare function compareRevisions(previous: SheetRangeData, current: SheetRangeData, keyRow: number, includeInOutput: string, columnsToWatch: string[], dataStartIndex: number, event: string): IDataObject[] | ({
    previous: IDataObject;
} & {
    current: IDataObject;
} & {
    differences: IDataObject;
})[];
