"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GoogleSheetsV2 = void 0;
const versionDescription_1 = require("./actions/versionDescription");
const methods_1 = require("./methods");
const router_1 = require("./actions/router");
class GoogleSheetsV2 {
    constructor(baseDescription) {
        this.methods = {
            loadOptions: methods_1.loadOptions,
            credentialTest: methods_1.credentialTest,
            listSearch: methods_1.listSearch,
            resourceMapping: methods_1.resourceMapping,
        };
        this.description = {
            ...baseDescription,
            ...versionDescription_1.versionDescription,
        };
    }
    async execute() {
        return await router_1.router.call(this);
    }
}
exports.GoogleSheetsV2 = GoogleSheetsV2;
//# sourceMappingURL=GoogleSheetsV2.node.js.map