"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.versionDescription = void 0;
const sheet = __importStar(require("./sheet/Sheet.resource"));
const spreadsheet = __importStar(require("./spreadsheet/SpreadSheet.resource"));
exports.versionDescription = {
    displayName: 'Google Sheets',
    name: 'googleSheets',
    icon: 'file:googleSheets.svg',
    group: ['input', 'output'],
    version: [3, 4, 4.1, 4.2, 4.3],
    subtitle: '={{$parameter["operation"] + ": " + $parameter["resource"]}}',
    description: 'Read, update and write data to Google Sheets',
    defaults: {
        name: 'Google Sheets',
    },
    inputs: ['main'],
    outputs: ['main'],
    credentials: [
        {
            name: 'googleApi',
            required: true,
            displayOptions: {
                show: {
                    authentication: ['serviceAccount'],
                },
            },
            testedBy: 'googleApiCredentialTest',
        },
        {
            name: 'googleSheetsOAuth2Api',
            required: true,
            displayOptions: {
                show: {
                    authentication: ['oAuth2'],
                },
            },
        },
    ],
    properties: [
        {
            displayName: 'Authentication',
            name: 'authentication',
            type: 'options',
            options: [
                {
                    name: 'Service Account',
                    value: 'serviceAccount',
                },
                {
                    name: 'OAuth2 (recommended)',
                    value: 'oAuth2',
                },
            ],
            default: 'oAuth2',
        },
        {
            displayName: 'Resource',
            name: 'resource',
            type: 'options',
            noDataExpression: true,
            options: [
                {
                    name: 'Document',
                    value: 'spreadsheet',
                },
                {
                    name: 'Sheet Within Document',
                    value: 'sheet',
                },
            ],
            default: 'sheet',
        },
        ...sheet.descriptions,
        ...spreadsheet.descriptions,
    ],
};
//# sourceMappingURL=versionDescription.js.map