import type { IExecuteFunctions, ICredentialsDecrypted, ICredentialTestFunctions, ILoadOptionsFunctions, INodeCredentialTestResult, INodeExecutionData, INodeType, INodeTypeDescription } from 'n8n-workflow';
export declare class Grist implements INodeType {
    description: INodeTypeDescription;
    methods: {
        loadOptions: {
            getTableColumns(this: ILoadOptionsFunctions): Promise<{
                name: string;
                value: string;
            }[]>;
        };
        credentialTest: {
            gristApiTest(this: ICredentialTestFunctions, credential: ICredentialsDecrypted): Promise<INodeCredentialTestResult>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
