import type { IExecuteFunctions, ICredentialsDecrypted, ICredentialTestFunctions, ILoadOptionsFunctions, INodeCredentialTestResult, INodeExecutionData, INodePropertyOptions, INodeType, INodeTypeDescription } from 'n8n-workflow';
export declare class HaloPSA implements INodeType {
    description: INodeTypeDescription;
    methods: {
        loadOptions: {
            getHaloPSASites(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getHaloPSAClients(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getHaloPSATicketsTypes(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getHaloPSAAgents(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
        };
        credentialTest: {
            haloPSAApiCredentialTest(this: ICredentialTestFunctions, credential: ICredentialsDecrypted): Promise<INodeCredentialTestResult>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
