"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.helpscoutApiRequestAllItems = exports.helpscoutApiRequest = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const get_1 = __importDefault(require("lodash/get"));
async function helpscoutApiRequest(method, resource, body = {}, qs = {}, uri, option = {}) {
    let options = {
        headers: {
            'Content-Type': 'application/json',
        },
        method,
        body,
        qs,
        uri: uri || `https://api.helpscout.net${resource}`,
        json: true,
    };
    try {
        if (Object.keys(option).length !== 0) {
            options = Object.assign({}, options, option);
        }
        if (Object.keys(body).length === 0) {
            delete options.body;
        }
        return await this.helpers.requestOAuth2.call(this, 'helpScoutOAuth2Api', options);
    }
    catch (error) {
        throw new n8n_workflow_1.NodeApiError(this.getNode(), error);
    }
}
exports.helpscoutApiRequest = helpscoutApiRequest;
async function helpscoutApiRequestAllItems(propertyName, method, endpoint, body = {}, query = {}) {
    var _a, _b;
    const returnData = [];
    let responseData;
    let uri = undefined;
    do {
        responseData = await helpscoutApiRequest.call(this, method, endpoint, body, query, uri);
        uri = (0, get_1.default)(responseData, '_links.next.href');
        returnData.push.apply(returnData, (0, get_1.default)(responseData, propertyName));
        const limit = query.limit;
        if (limit && limit <= returnData.length) {
            return returnData;
        }
    } while (((_b = (_a = responseData._links) === null || _a === void 0 ? void 0 : _a.next) === null || _b === void 0 ? void 0 : _b.href) !== undefined);
    return returnData;
}
exports.helpscoutApiRequestAllItems = helpscoutApiRequestAllItems;
//# sourceMappingURL=GenericFunctions.js.map