import type { IExecuteFunctions, ICredentialsDecrypted, ICredentialTestFunctions, ILoadOptionsFunctions, INodeCredentialTestResult, INodeExecutionData, INodePropertyOptions, INodeType, INodeTypeDescription } from 'n8n-workflow';
export declare class HomeAssistant implements INodeType {
    description: INodeTypeDescription;
    methods: {
        credentialTest: {
            homeAssistantApiTest(this: ICredentialTestFunctions, credential: ICredentialsDecrypted): Promise<INodeCredentialTestResult>;
        };
        loadOptions: {
            getAllEntities(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getCameraEntities(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getDomains(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getDomainServices(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
