"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hubspot = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const HubspotV1_node_1 = require("./V1/HubspotV1.node");
const HubspotV2_node_1 = require("./V2/HubspotV2.node");
class Hubspot extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'HubSpot',
            name: 'hubspot',
            icon: 'file:hubspot.svg',
            group: ['output'],
            subtitle: '={{$parameter["operation"] + ": " + $parameter["resource"]}}',
            description: 'Consume HubSpot API',
            defaultVersion: 2.1,
        };
        const nodeVersions = {
            1: new HubspotV1_node_1.HubspotV1(baseDescription),
            2: new HubspotV2_node_1.HubspotV2(baseDescription),
            2.1: new HubspotV2_node_1.HubspotV2(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.Hubspot = Hubspot;
//# sourceMappingURL=Hubspot.node.js.map