"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hunterApiRequestAllItems = exports.hunterApiRequest = void 0;
const n8n_workflow_1 = require("n8n-workflow");
async function hunterApiRequest(method, resource, body = {}, qs = {}, uri, option = {}) {
    const credentials = await this.getCredentials('hunterApi');
    qs = Object.assign({ api_key: credentials.apiKey }, qs);
    let options = {
        method,
        qs,
        body,
        uri: uri || `https://api.hunter.io/v2${resource}`,
        json: true,
    };
    options = Object.assign({}, options, option);
    if (Object.keys(options.body).length === 0) {
        delete options.body;
    }
    try {
        return await this.helpers.request(options);
    }
    catch (error) {
        throw new n8n_workflow_1.NodeApiError(this.getNode(), error);
    }
}
exports.hunterApiRequest = hunterApiRequest;
async function hunterApiRequestAllItems(propertyName, method, resource, body = {}, query = {}) {
    var _a;
    const returnData = [];
    let responseData;
    query.offset = 0;
    query.limit = 100;
    do {
        responseData = await hunterApiRequest.call(this, method, resource, body, query);
        returnData.push(responseData[propertyName]);
        query.offset += query.limit;
    } while (((_a = responseData.meta) === null || _a === void 0 ? void 0 : _a.results) !== undefined &&
        responseData.meta.offset <= responseData.meta.results);
    return returnData;
}
exports.hunterApiRequestAllItems = hunterApiRequestAllItems;
//# sourceMappingURL=GenericFunctions.js.map