"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemLists = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const ItemListsV1_node_1 = require("./V1/ItemListsV1.node");
const ItemListsV2_node_1 = require("./V2/ItemListsV2.node");
const ItemListsV3_node_1 = require("./V3/ItemListsV3.node");
class ItemLists extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'Item Lists',
            name: 'itemLists',
            icon: 'file:itemLists.svg',
            group: ['input'],
            hidden: true,
            subtitle: '={{$parameter["operation"] + ": " + $parameter["resource"]}}',
            description: 'Helper for working with lists of items and transforming arrays',
            defaultVersion: 3.1,
        };
        const nodeVersions = {
            1: new ItemListsV1_node_1.ItemListsV1(baseDescription),
            2: new ItemListsV2_node_1.ItemListsV2(baseDescription),
            2.1: new ItemListsV2_node_1.ItemListsV2(baseDescription),
            2.2: new ItemListsV2_node_1.ItemListsV2(baseDescription),
            3: new ItemListsV3_node_1.ItemListsV3(baseDescription),
            3.1: new ItemListsV3_node_1.ItemListsV3(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.ItemLists = ItemLists;
//# sourceMappingURL=ItemLists.node.js.map