import type { IExecuteFunctions, ICredentialsDecrypted, ICredentialTestFunctions, ILoadOptionsFunctions, INodeCredentialTestResult, INodeExecutionData, INodePropertyOptions, INodeType, INodeTypeDescription } from 'n8n-workflow';
export type JenkinsApiCredentials = {
    username: string;
    apiKey: string;
    baseUrl: string;
};
export declare class Jenkins implements INodeType {
    description: INodeTypeDescription;
    methods: {
        credentialTest: {
            jenkinApiCredentialTest(this: ICredentialTestFunctions, credential: ICredentialsDecrypted): Promise<INodeCredentialTestResult>;
        };
        loadOptions: {
            getJobs(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getJobParameters(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
