import type { ICredentialsDecrypted, ICredentialTestFunctions, IExecuteFunctions, ILoadOptionsFunctions, INodeCredentialTestResult, INodeExecutionData, INodeType, INodeTypeDescription } from 'n8n-workflow';
export declare class Ldap implements INodeType {
    description: INodeTypeDescription;
    methods: {
        credentialTest: {
            ldapConnectionTest(this: ICredentialTestFunctions, credential: ICredentialsDecrypted): Promise<INodeCredentialTestResult>;
        };
        loadOptions: {
            getAttributes(this: ILoadOptionsFunctions): Promise<{
                name: string;
                value: string;
            }[]>;
            getObjectClasses(this: ILoadOptionsFunctions): Promise<{
                name: string;
                value: string;
            }[]>;
            getAttributesForDn(this: ILoadOptionsFunctions): Promise<{
                name: string;
                value: string;
            }[]>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
