"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mailCheckApiRequest = void 0;
const n8n_workflow_1 = require("n8n-workflow");
async function mailCheckApiRequest(method, resource, body = {}, qs = {}, uri, headers = {}, option = {}) {
    var _a, _b;
    const credentials = await this.getCredentials('mailcheckApi');
    let options = {
        headers: {
            'Content-Type': 'application/json',
            Authorization: `Bearer ${credentials.apiKey}`,
        },
        method,
        body,
        qs,
        uri: uri || `https://api.mailcheck.co/v1${resource}`,
        json: true,
    };
    try {
        options = Object.assign({}, options, option);
        if (Object.keys(headers).length !== 0) {
            options.headers = Object.assign({}, options.headers, headers);
        }
        if (Object.keys(body).length === 0) {
            delete options.body;
        }
        return await this.helpers.request.call(this, options);
    }
    catch (error) {
        if ((_b = (_a = error.response) === null || _a === void 0 ? void 0 : _a.body) === null || _b === void 0 ? void 0 : _b.message) {
            throw new n8n_workflow_1.ApplicationError(`Mailcheck error response [${error.statusCode}]: ${error.response.body.message}`, { level: 'warning' });
        }
        throw error;
    }
}
exports.mailCheckApiRequest = mailCheckApiRequest;
//# sourceMappingURL=GenericFunctions.js.map