"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.members = void 0;
const transport_1 = require("../../../transport");
async function members(index) {
    const channelId = this.getNodeParameter('channelId', index);
    const returnAll = this.getNodeParameter('returnAll', index);
    const resolveData = this.getNodeParameter('resolveData', index);
    const limit = this.getNodeParameter('limit', index, 0);
    const body = {};
    const qs = {};
    const requestMethod = 'GET';
    const endpoint = `channels/${channelId}/members`;
    if (!returnAll) {
        qs.per_page = this.getNodeParameter('limit', index);
    }
    let responseData;
    if (returnAll) {
        responseData = await transport_1.apiRequestAllItems.call(this, requestMethod, endpoint, body, qs);
    }
    else {
        responseData = await transport_1.apiRequest.call(this, requestMethod, endpoint, body, qs);
        if (limit) {
            responseData = responseData.slice(0, limit);
        }
        if (resolveData) {
            const userIds = [];
            for (const data of responseData) {
                userIds.push(data.user_id);
            }
            if (userIds.length > 0) {
                responseData = await transport_1.apiRequest.call(this, 'POST', 'users/ids', userIds, qs);
            }
        }
    }
    return this.helpers.returnJsonArray(responseData);
}
exports.members = members;
//# sourceMappingURL=execute.js.map