import type { IExecuteFunctions, INode, INodeExecutionData } from 'n8n-workflow';
import type { ExcelResponse, SheetData, UpdateSummary } from './interfaces';
type PrepareOutputConfig = {
    rawData: boolean;
    dataProperty?: string;
    keyRow?: number;
    firstDataRow?: number;
    columnsRow?: string[];
    updatedRows?: number[];
};
export declare function prepareOutput(this: IExecuteFunctions, node: INode, responseData: ExcelResponse, config: PrepareOutputConfig): INodeExecutionData[];
export declare function updateByDefinedValues(this: IExecuteFunctions, itemslength: number, sheetData: SheetData, updateAllOccurences: boolean): UpdateSummary;
export declare function updateByAutoMaping(items: INodeExecutionData[], sheetData: SheetData, columnToMatchOn: string, updateAllOccurences?: boolean): UpdateSummary;
export declare const checkRange: (node: INode, range: string) => void;
export {};
