"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.execute = exports.description = exports.properties = void 0;
const transport_1 = require("../../transport");
const descriptions_1 = require("../../descriptions");
const utilities_1 = require("../../../../../../utils/utilities");
exports.properties = [descriptions_1.contactRLC];
const displayOptions = {
    show: {
        resource: ['contact'],
        operation: ['delete'],
    },
};
exports.description = (0, utilities_1.updateDisplayOptions)(displayOptions, exports.properties);
async function execute(index) {
    const contactId = this.getNodeParameter('contactId', index, undefined, {
        extractValue: true,
    });
    await transport_1.microsoftApiRequest.call(this, 'DELETE', `/contacts/${contactId}`);
    const executionData = this.helpers.constructExecutionMetaData(this.helpers.returnJsonArray({ success: true }), { itemData: { item: index } });
    return executionData;
}
exports.execute = execute;
//# sourceMappingURL=delete.operation.js.map