"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.router = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const calendar = __importStar(require("./calendar"));
const contact = __importStar(require("./contact"));
const draft = __importStar(require("./draft"));
const event = __importStar(require("./event"));
const folder = __importStar(require("./folder"));
const folderMessage = __importStar(require("./folderMessage"));
const message = __importStar(require("./message"));
const messageAttachment = __importStar(require("./messageAttachment"));
async function router() {
    var _a;
    const items = this.getInputData();
    const returnData = [];
    const resource = this.getNodeParameter('resource', 0);
    const operation = this.getNodeParameter('operation', 0);
    let responseData;
    const microsoftOutlook = {
        resource,
        operation,
    };
    for (let i = 0; i < items.length; i++) {
        try {
            switch (microsoftOutlook.resource) {
                case 'calendar':
                    responseData = await calendar[microsoftOutlook.operation].execute.call(this, i);
                    break;
                case 'contact':
                    responseData = await contact[microsoftOutlook.operation].execute.call(this, i);
                    break;
                case 'draft':
                    responseData = await draft[microsoftOutlook.operation].execute.call(this, i, items);
                    break;
                case 'event':
                    responseData = await event[microsoftOutlook.operation].execute.call(this, i);
                    break;
                case 'folder':
                    responseData = await folder[microsoftOutlook.operation].execute.call(this, i);
                    break;
                case 'folderMessage':
                    responseData = await folderMessage[microsoftOutlook.operation].execute.call(this, i);
                    break;
                case 'message':
                    responseData = await message[microsoftOutlook.operation].execute.call(this, i, items);
                    break;
                case 'messageAttachment':
                    responseData = await messageAttachment[microsoftOutlook.operation].execute.call(this, i, items);
                    break;
                default:
                    throw new n8n_workflow_1.NodeOperationError(this.getNode(), `The resource "${resource}" is not known`);
            }
            returnData.push(...responseData);
        }
        catch (error) {
            if (this.continueOnFail()) {
                const executionErrorData = this.helpers.constructExecutionMetaData(this.helpers.returnJsonArray({ error: error.message }), { itemData: { item: i } });
                returnData.push(...executionErrorData);
                continue;
            }
            if (error instanceof n8n_workflow_1.NodeApiError && ((_a = error === null || error === void 0 ? void 0 : error.context) === null || _a === void 0 ? void 0 : _a.itemIndex) === undefined) {
                if (error.context === undefined) {
                    error.context = {};
                }
                error.context.itemIndex = i;
            }
            throw error;
        }
    }
    return [returnData];
}
exports.router = router;
//# sourceMappingURL=router.js.map