"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.execute = exports.description = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const transport_1 = require("../../transport");
const descriptions_1 = require("../../descriptions");
const utilities_1 = require("../../../../../../utils/utilities");
const properties = [descriptions_1.teamRLC, descriptions_1.channelRLC];
const displayOptions = {
    show: {
        resource: ['channel'],
        operation: ['deleteChannel'],
    },
};
exports.description = (0, utilities_1.updateDisplayOptions)(displayOptions, properties);
async function execute(i) {
    try {
        const teamId = this.getNodeParameter('teamId', i, '', { extractValue: true });
        const channelId = this.getNodeParameter('channelId', i, '', { extractValue: true });
        await transport_1.microsoftApiRequest.call(this, 'DELETE', `/v1.0/teams/${teamId}/channels/${channelId}`);
        return { success: true };
    }
    catch (error) {
        throw new n8n_workflow_1.NodeOperationError(this.getNode(), "The channel you are trying to delete doesn't exist", {
            description: "Check that the 'Channel' parameter is correctly set",
        });
    }
}
exports.execute = execute;
//# sourceMappingURL=deleteChannel.operation.js.map