"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.execute = exports.description = void 0;
const transport_1 = require("../../transport");
const descriptions_1 = require("../../descriptions");
const utilities_1 = require("../../../../../../utils/utilities");
const descriptions_2 = require("../../../../../../utils/descriptions");
const properties = [descriptions_1.teamRLC, descriptions_1.channelRLC, ...descriptions_2.returnAllOrLimit];
const displayOptions = {
    show: {
        resource: ['channelMessage'],
        operation: ['getAll'],
    },
};
exports.description = (0, utilities_1.updateDisplayOptions)(displayOptions, properties);
async function execute(i) {
    const teamId = this.getNodeParameter('teamId', i, '', { extractValue: true });
    const channelId = this.getNodeParameter('channelId', i, '', { extractValue: true });
    const returnAll = this.getNodeParameter('returnAll', i);
    if (returnAll) {
        return await transport_1.microsoftApiRequestAllItems.call(this, 'value', 'GET', `/beta/teams/${teamId}/channels/${channelId}/messages`);
    }
    else {
        const limit = this.getNodeParameter('limit', i);
        const responseData = await transport_1.microsoftApiRequestAllItems.call(this, 'value', 'GET', `/beta/teams/${teamId}/channels/${channelId}/messages`, {});
        return responseData.splice(0, limit);
    }
}
exports.execute = execute;
//# sourceMappingURL=getAll.operation.js.map