"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.execute = exports.description = void 0;
const transport_1 = require("../../transport");
const descriptions_1 = require("../../descriptions");
const utilities_1 = require("../../../../../../utils/utilities");
const descriptions_2 = require("../../../../../../utils/descriptions");
const properties = [descriptions_1.chatRLC, ...descriptions_2.returnAllOrLimit];
const displayOptions = {
    show: {
        resource: ['chatMessage'],
        operation: ['getAll'],
    },
};
exports.description = (0, utilities_1.updateDisplayOptions)(displayOptions, properties);
async function execute(i) {
    const chatId = this.getNodeParameter('chatId', i, '', { extractValue: true });
    const returnAll = this.getNodeParameter('returnAll', i);
    if (returnAll) {
        return await transport_1.microsoftApiRequestAllItems.call(this, 'value', 'GET', `/v1.0/chats/${chatId}/messages`);
    }
    else {
        const limit = this.getNodeParameter('limit', i);
        const responseData = await transport_1.microsoftApiRequestAllItems.call(this, 'value', 'GET', `/v1.0/chats/${chatId}/messages`, {});
        return responseData.splice(0, limit);
    }
}
exports.execute = execute;
//# sourceMappingURL=getAll.operation.js.map