"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.filterSortSearchListItems = exports.prepareMessage = void 0;
function prepareMessage(message, contentType, includeLinkToWorkflow, instanceId) {
    if (includeLinkToWorkflow) {
        const { id } = this.getWorkflow();
        const link = `${this.getInstanceBaseUrl()}workflow/${id}?utm_source=n8n-internal&utm_medium=powered_by&utm_campaign=${encodeURIComponent('n8n-nodes-base.microsoftTeams')}${instanceId ? '_' + instanceId : ''}`;
        contentType = 'html';
        message = `${message}<br><br><em> Powered by <a href="${link}">this n8n workflow</a> </em>`;
    }
    return {
        body: {
            contentType,
            content: message,
        },
    };
}
exports.prepareMessage = prepareMessage;
function filterSortSearchListItems(items, filter) {
    return items
        .filter((item) => !filter ||
        item.name.toLowerCase().includes(filter.toLowerCase()) ||
        item.value.toString().toLowerCase().includes(filter.toLowerCase()))
        .sort((a, b) => {
        if (a.name.toLocaleLowerCase() < b.name.toLocaleLowerCase()) {
            return -1;
        }
        if (a.name.toLocaleLowerCase() > b.name.toLocaleLowerCase()) {
            return 1;
        }
        return 0;
    });
}
exports.filterSortSearchListItems = filterSortSearchListItems;
//# sourceMappingURL=utils.js.map