import type { ICredentialDataDecryptedObject, IDataObject, IExecuteFunctions, INodeExecutionData } from 'n8n-workflow';
import { MongoClient } from 'mongodb';
import type { IMongoCredentials, IMongoCredentialsType, IMongoParametricCredentials } from './mongoDb.types';
export declare function buildParameterizedConnString(credentials: IMongoParametricCredentials): string;
export declare function buildMongoConnectionParams(self: IExecuteFunctions, credentials: IMongoCredentialsType): IMongoCredentials;
export declare function validateAndResolveMongoCredentials(self: IExecuteFunctions, credentials?: ICredentialDataDecryptedObject): IMongoCredentials;
export declare function prepareItems(items: INodeExecutionData[], fields: string[], updateKey?: string, useDotNotation?: boolean, dateFields?: string[]): IDataObject[];
export declare function prepareFields(fields: string): string[];
export declare function stringifyObjectIDs(items: IDataObject[]): void;
export declare function connectMongoClient(connectionString: string, credentials?: IDataObject): Promise<MongoClient>;
