import type { IExecuteFunctions, ILoadOptionsFunctions, INodeExecutionData, INodeType, INodeTypeDescription } from 'n8n-workflow';
import type { Option } from './types';
export declare class MonicaCrm implements INodeType {
    description: INodeTypeDescription;
    methods: {
        loadOptions: {
            getActivityTypes(this: ILoadOptionsFunctions): Promise<{
                value: string;
                name: string;
            }[]>;
            getTagsToAdd(this: ILoadOptionsFunctions): Promise<Option[]>;
            getTagsToRemove(this: ILoadOptionsFunctions): Promise<Option[]>;
            getContactFieldTypes(this: ILoadOptionsFunctions): Promise<{
                value: string;
                name: string;
            }[]>;
            getGenders(this: ILoadOptionsFunctions): Promise<{
                value: string;
                name: string;
            }[]>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
