"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.searchTables = exports.createConnection = void 0;
const promise_1 = __importDefault(require("mysql2/promise"));
async function createConnection(credentials) {
    const { ssl, caCertificate, clientCertificate, clientPrivateKey, ...baseCredentials } = credentials;
    if (ssl) {
        baseCredentials.ssl = {};
        if (caCertificate) {
            baseCredentials.ssl.ca = caCertificate;
        }
        if (clientCertificate || clientPrivateKey) {
            baseCredentials.ssl.cert = clientCertificate;
            baseCredentials.ssl.key = clientPrivateKey;
        }
    }
    return await promise_1.default.createConnection(baseCredentials);
}
exports.createConnection = createConnection;
async function searchTables(query) {
    const credentials = await this.getCredentials('mySql');
    const connection = await createConnection(credentials);
    const sql = `
	SELECT table_name FROM information_schema.tables
	WHERE table_schema = '${credentials.database}'
		and table_name like '%${query || ''}%'
	ORDER BY table_name
	`;
    const [rows] = await connection.query(sql);
    const results = rows.map((r) => ({
        name: r.TABLE_NAME,
        value: r.TABLE_NAME,
    }));
    await connection.end();
    return { results };
}
exports.searchTables = searchTables;
//# sourceMappingURL=GenericFunctions.js.map