"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.router = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const ssh2_1 = require("ssh2");
const transport_1 = require("../transport");
const utils_1 = require("../helpers/utils");
const database = __importStar(require("./database/Database.resource"));
async function router() {
    let returnData = [];
    const resource = this.getNodeParameter('resource', 0);
    const operation = this.getNodeParameter('operation', 0);
    const nodeOptions = this.getNodeParameter('options', 0);
    nodeOptions.nodeVersion = this.getNode().typeVersion;
    const credentials = await this.getCredentials('mySql');
    let sshClient = undefined;
    if (credentials.sshTunnel) {
        sshClient = new ssh2_1.Client();
    }
    const pool = await (0, transport_1.createPool)(credentials, nodeOptions, sshClient);
    const runQueries = utils_1.configureQueryRunner.call(this, nodeOptions, pool);
    const mysqlNodeData = {
        resource,
        operation,
    };
    try {
        switch (mysqlNodeData.resource) {
            case 'database':
                const items = this.getInputData();
                returnData = await database[mysqlNodeData.operation].execute.call(this, items, runQueries, nodeOptions);
                break;
            default:
                throw new n8n_workflow_1.NodeOperationError(this.getNode(), `The operation "${operation}" is not supported!`);
        }
    }
    catch (error) {
        throw error;
    }
    finally {
        if (sshClient) {
            sshClient.end();
        }
        await pool.end();
    }
    return [returnData];
}
exports.router = router;
//# sourceMappingURL=router.js.map