"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mysqlConnectionTest = void 0;
const ssh2_1 = require("ssh2");
const transport_1 = require("../transport");
async function mysqlConnectionTest(credential) {
    const credentials = credential.data;
    let sshClient = undefined;
    if (credentials.sshTunnel) {
        sshClient = new ssh2_1.Client();
    }
    const pool = await (0, transport_1.createPool)(credentials, {}, sshClient);
    try {
        const connection = await pool.getConnection();
        connection.release();
    }
    catch (error) {
        return {
            status: 'Error',
            message: error.message,
        };
    }
    finally {
        if (sshClient) {
            sshClient.end();
        }
        await pool.end();
    }
    return {
        status: 'OK',
        message: 'Connection successful!',
    };
}
exports.mysqlConnectionTest = mysqlConnectionTest;
//# sourceMappingURL=credentialTest.js.map