"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Notion = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const NotionV1_node_1 = require("./v1/NotionV1.node");
const NotionV2_node_1 = require("./v2/NotionV2.node");
class Notion extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'Notion',
            name: 'notion',
            icon: 'file:notion.svg',
            group: ['output'],
            subtitle: '={{$parameter["operation"] + ": " + $parameter["resource"]}}',
            description: 'Consume Notion API',
            defaultVersion: 2.2,
        };
        const nodeVersions = {
            1: new NotionV1_node_1.NotionV1(baseDescription),
            2: new NotionV2_node_1.NotionV2(baseDescription),
            2.1: new NotionV2_node_1.NotionV2(baseDescription),
            2.2: new NotionV2_node_1.NotionV2(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.Notion = Notion;
//# sourceMappingURL=Notion.node.js.map