"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ouraApiRequest = void 0;
const n8n_workflow_1 = require("n8n-workflow");
async function ouraApiRequest(method, resource, body = {}, qs = {}, uri, option = {}) {
    const credentials = await this.getCredentials('ouraApi');
    let options = {
        headers: {
            Authorization: `Bearer ${credentials.accessToken}`,
        },
        method,
        qs,
        body,
        uri: uri || `https://api.ouraring.com/v1${resource}`,
        json: true,
    };
    if (!Object.keys(body).length) {
        delete options.body;
    }
    if (!Object.keys(qs).length) {
        delete options.qs;
    }
    options = Object.assign({}, options, option);
    try {
        return await this.helpers.request(options);
    }
    catch (error) {
        throw new n8n_workflow_1.NodeApiError(this.getNode(), error);
    }
}
exports.ouraApiRequest = ouraApiRequest;
//# sourceMappingURL=GenericFunctions.js.map