import type { IDataObject, IExecuteFunctions, IHookFunctions, ILoadOptionsFunctions, INodePropertyOptions, IHttpRequestMethods } from 'n8n-workflow';
export interface ICustomInterface {
    name: string;
    key: string;
    field_type: string;
    options?: Array<{
        id: number;
        label: string;
    }>;
}
export interface ICustomProperties {
    [key: string]: ICustomInterface;
}
export declare function pipedriveApiRequest(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions, method: IHttpRequestMethods, endpoint: string, body: IDataObject, query?: IDataObject, formData?: IDataObject, downloadFile?: boolean): Promise<any>;
export declare function pipedriveApiRequestAllItems(this: IHookFunctions | IExecuteFunctions, method: IHttpRequestMethods, endpoint: string, body: IDataObject, query?: IDataObject): Promise<any>;
export declare function pipedriveGetCustomProperties(this: IHookFunctions | IExecuteFunctions, resource: string): Promise<ICustomProperties>;
export declare function pipedriveEncodeCustomProperties(customProperties: ICustomProperties, item: IDataObject): void;
export declare function pipedriveResolveCustomProperties(customProperties: ICustomProperties, item: IDataObject): void;
export declare function sortOptionParameters(optionParameters: INodePropertyOptions[]): INodePropertyOptions[];
