"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.plivoApiRequest = void 0;
const n8n_workflow_1 = require("n8n-workflow");
async function plivoApiRequest(method, endpoint, body = {}, qs = {}) {
    const credentials = (await this.getCredentials('plivoApi'));
    const options = {
        headers: {
            'user-agent': 'plivo-n8n',
        },
        method,
        form: body,
        qs,
        uri: `https://api.plivo.com/v1/Account/${credentials.authId}${endpoint}/`,
        auth: {
            user: credentials.authId,
            pass: credentials.authToken,
        },
        json: true,
    };
    try {
        return await this.helpers.request(options);
    }
    catch (error) {
        throw new n8n_workflow_1.NodeApiError(this.getNode(), error);
    }
}
exports.plivoApiRequest = plivoApiRequest;
//# sourceMappingURL=GenericFunctions.js.map