"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.router = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const transport_1 = require("../transport");
const utils_1 = require("../helpers/utils");
const database = __importStar(require("./database/Database.resource"));
async function router() {
    let returnData = [];
    const items = this.getInputData();
    const resource = this.getNodeParameter('resource', 0);
    const operation = this.getNodeParameter('operation', 0);
    const credentials = (await this.getCredentials('postgres'));
    const options = this.getNodeParameter('options', 0, {});
    options.nodeVersion = this.getNode().typeVersion;
    options.operation = operation;
    const { db, pgp, sshClient } = await (0, transport_1.configurePostgres)(credentials, options);
    const runQueries = utils_1.configureQueryRunner.call(this, this.getNode(), this.continueOnFail(), pgp, db);
    const postgresNodeData = {
        resource,
        operation,
    };
    try {
        switch (postgresNodeData.resource) {
            case 'database':
                returnData = await database[postgresNodeData.operation].execute.call(this, runQueries, items, options, db);
                break;
            default:
                throw new n8n_workflow_1.NodeOperationError(this.getNode(), `The operation "${operation}" is not supported!`);
        }
    }
    catch (error) {
        throw error;
    }
    finally {
        if (sshClient) {
            sshClient.end();
        }
        if (!db.$pool.ending)
            await db.$pool.end();
    }
    return [returnData];
}
exports.router = router;
//# sourceMappingURL=router.js.map