import type { IDataObject, IExecuteFunctions, IHookFunctions, IHttpRequestMethods, ILoadOptionsFunctions, INodeExecutionData, INodePropertyOptions } from 'n8n-workflow';
import type { DateFieldsUi, Option, TransactionReport } from './types';
export declare function quickBooksApiRequest(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions, method: IHttpRequestMethods, endpoint: string, qs: IDataObject, body: IDataObject, option?: IDataObject): Promise<any>;
export declare function quickBooksApiRequestAllItems(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions, method: IHttpRequestMethods, endpoint: string, qs: IDataObject, body: IDataObject, resource: string): Promise<any>;
export declare function handleListing(this: IExecuteFunctions, i: number, endpoint: string, resource: string): Promise<any>;
export declare function getSyncToken(this: IExecuteFunctions, i: number, companyId: string, resource: string): Promise<any>;
export declare function getRefAndSyncToken(this: IExecuteFunctions, i: number, companyId: string, resource: string, ref: string): Promise<{
    ref: any;
    syncToken: any;
}>;
export declare function handleBinaryData(this: IExecuteFunctions, items: INodeExecutionData[], i: number, companyId: string, resource: string, resourceId: string): Promise<INodeExecutionData[]>;
export declare function loadResource(this: ILoadOptionsFunctions, resource: string): Promise<INodePropertyOptions[]>;
export declare function processLines(this: IExecuteFunctions, body: IDataObject, lines: IDataObject[], resource: string): IDataObject[];
export declare function populateFields(this: IExecuteFunctions, body: IDataObject, fields: IDataObject, resource: string): IDataObject;
export declare const toOptions: (option: string) => {
    name: string;
    value: string;
};
export declare const splitPascalCase: (word: string) => string;
export declare const toDisplayName: ({ name, value }: Option) => INodePropertyOptions;
export declare function adjustTransactionDates(transactionFields: IDataObject & DateFieldsUi): IDataObject;
export declare function simplifyTransactionReport(transactionReport: TransactionReport): {
    [key: string]: string;
}[];
