import type { TColumnType, TDateTimeFormat, TInheritColumnKey } from './types';
export type ColumnType = keyof typeof schema.columnTypes;
export declare const schema: {
    rowFetchSegmentLimit: number;
    dateTimeFormat: TDateTimeFormat;
    internalNames: {
        _id: TColumnType;
        _ctime: TColumnType;
        _mtime: TColumnType;
        _seq: TColumnType;
        _creator: TColumnType;
        _last_modifier: TColumnType;
    };
    columnTypes: {
        number: string;
        url: string;
        email: string;
        text: string;
        formula: string;
        duration: string;
        checkbox: string;
        date: string;
        creator: string;
        rate: string;
        "long-text": string;
        collaborator: string;
        "single-select": string;
        "multiple-select": string;
        ctime: string;
        mtime: string;
        "last-modifier": string;
        "auto-number": string;
    };
    nonUpdateAbleColumnTypes: {
        number: TColumnType;
        url: TColumnType;
        email: TColumnType;
        text: TColumnType;
        formula: TColumnType;
        duration: TColumnType;
        checkbox: TColumnType;
        date: TColumnType;
        creator: TColumnType;
        rate: TColumnType;
        "long-text": TColumnType;
        collaborator: TColumnType;
        "single-select": TColumnType;
        "multiple-select": TColumnType;
        ctime: TColumnType;
        mtime: TColumnType;
        "last-modifier": TColumnType;
        "auto-number": TColumnType;
    };
};
