import type { INodeProperties } from 'n8n-workflow';
export declare const mailOperations: INodeProperties[];
export declare const mailFields: INodeProperties[];
export type SendMailBody = {
    personalizations: Array<{
        to: EmailName[];
        subject?: string;
        cc?: EmailName[];
        bcc?: EmailName[];
        dynamic_template_data?: {
            [key: string]: string;
        };
        send_at?: number;
    }>;
    ip_pool_name?: string;
    from: EmailName;
    template_id?: string;
    content?: Array<{
        type: string;
        value: string;
    }>;
    categories?: string[];
    headers?: {
        [key: string]: string;
    };
    attachments?: Array<{
        content: string;
        filename: string;
        type: string;
    }>;
    mail_settings: {
        sandbox_mode: {
            enable: boolean;
        };
    };
};
type EmailName = {
    email: string;
    name?: string;
};
export {};
