import type { IExecuteFunctions, ILoadOptionsFunctions, INodeExecutionData, INodePropertyOptions, INodeType, INodeTypeDescription } from 'n8n-workflow';
export declare class ServiceNow implements INodeType {
    description: INodeTypeDescription;
    methods: {
        loadOptions: {
            getTables(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getColumns(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getBusinessServices(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getUsers(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getAssignmentGroups(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getUserRoles(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getConfigurationItems(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getIncidentCategories(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getIncidentSubcategories(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getIncidentStates(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getIncidentResolutionCodes(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getIncidentHoldReasons(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
