"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Set = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const SetV1_node_1 = require("./v1/SetV1.node");
const SetV2_node_1 = require("./v2/SetV2.node");
class Set extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'Set',
            name: 'set',
            icon: 'fa:pen',
            group: ['input'],
            description: 'Add or edit fields on an input item and optionally remove other fields',
            defaultVersion: 3.3,
        };
        const nodeVersions = {
            1: new SetV1_node_1.SetV1(baseDescription),
            2: new SetV1_node_1.SetV1(baseDescription),
            3: new SetV2_node_1.SetV2(baseDescription),
            3.1: new SetV2_node_1.SetV2(baseDescription),
            3.2: new SetV2_node_1.SetV2(baseDescription),
            3.3: new SetV2_node_1.SetV2(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.Set = Set;
//# sourceMappingURL=Set.node.js.map