"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Slack = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const SlackV1_node_1 = require("./V1/SlackV1.node");
const SlackV2_node_1 = require("./V2/SlackV2.node");
class Slack extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'Slack',
            name: 'slack',
            icon: 'file:slack.svg',
            group: ['output'],
            subtitle: '={{$parameter["operation"] + ": " + $parameter["resource"]}}',
            description: 'Consume Slack API',
            defaultVersion: 2.1,
        };
        const nodeVersions = {
            1: new SlackV1_node_1.SlackV1(baseDescription),
            2: new SlackV2_node_1.SlackV2(baseDescription),
            2.1: new SlackV2_node_1.SlackV2(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.Slack = Slack;
//# sourceMappingURL=Slack.node.js.map