import type { IExecuteFunctions, ILoadOptionsFunctions, INodeExecutionData, INodeListSearchResult, INodePropertyOptions, INodeType, INodeTypeBaseDescription, INodeTypeDescription } from 'n8n-workflow';
export declare class SlackV2 implements INodeType {
    description: INodeTypeDescription;
    constructor(baseDescription: INodeTypeBaseDescription);
    methods: {
        listSearch: {
            getChannels(this: ILoadOptionsFunctions, filter?: string): Promise<INodeListSearchResult>;
            getUsers(this: ILoadOptionsFunctions, filter?: string): Promise<INodeListSearchResult>;
        };
        loadOptions: {
            getUsers(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getChannels(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getChannelsName(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getTeamFields(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
