"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sms77ApiRequest = void 0;
const n8n_workflow_1 = require("n8n-workflow");
async function sms77ApiRequest(method, endpoint, body, qs = {}) {
    const options = {
        headers: {
            SentWith: 'n8n',
        },
        qs,
        uri: `https://gateway.seven.io/api${endpoint}`,
        json: true,
        method,
    };
    if (Object.keys(body).length) {
        options.form = body;
        body.json = 1;
    }
    const response = await this.helpers.requestWithAuthentication.call(this, 'sms77Api', options);
    if (response.success !== '100') {
        throw new n8n_workflow_1.NodeApiError(this.getNode(), response, {
            message: 'Invalid sms77 credentials or API error!',
        });
    }
    return response;
}
exports.sms77ApiRequest = sms77ApiRequest;
//# sourceMappingURL=GenericFunctions.js.map