"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.execute = exports.destroy = exports.connect = void 0;
async function connect(conn) {
    return await new Promise((resolve, reject) => {
        conn.connect((error) => (error ? reject(error) : resolve()));
    });
}
exports.connect = connect;
async function destroy(conn) {
    return await new Promise((resolve, reject) => {
        conn.destroy((error) => (error ? reject(error) : resolve()));
    });
}
exports.destroy = destroy;
async function execute(conn, sqlText, binds) {
    return await new Promise((resolve, reject) => {
        conn.execute({
            sqlText,
            binds,
            complete: (error, stmt, rows) => (error ? reject(error) : resolve(rows)),
        });
    });
}
exports.execute = execute;
//# sourceMappingURL=GenericFunctions.js.map