"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SplitInBatches = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const SplitInBatchesV1_node_1 = require("./v1/SplitInBatchesV1.node");
const SplitInBatchesV2_node_1 = require("./v2/SplitInBatchesV2.node");
const SplitInBatchesV3_node_1 = require("./v3/SplitInBatchesV3.node");
class SplitInBatches extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'Split In Batches',
            name: 'splitInBatches',
            icon: 'fa:th-large',
            group: ['organization'],
            description: 'Split data into batches and iterate over each batch',
            defaultVersion: 3,
        };
        const nodeVersions = {
            1: new SplitInBatchesV1_node_1.SplitInBatchesV1(),
            2: new SplitInBatchesV2_node_1.SplitInBatchesV2(),
            3: new SplitInBatchesV3_node_1.SplitInBatchesV3(),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.SplitInBatches = SplitInBatches;
//# sourceMappingURL=SplitInBatches.node.js.map