import type { IExecuteFunctions, ICredentialsDecrypted, ICredentialTestFunctions, ILoadOptionsFunctions, INodeCredentialTestResult, INodeExecutionData, INodePropertyOptions, INodeType, INodeTypeDescription } from 'n8n-workflow';
export type FieldsUiValues = Array<{
    fieldId: string;
    fieldValue: string;
}>;
export declare class Supabase implements INodeType {
    description: INodeTypeDescription;
    methods: {
        loadOptions: {
            getTables(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getTableColumns(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
        };
        credentialTest: {
            supabaseApiCredentialTest(this: ICredentialTestFunctions, credential: ICredentialsDecrypted): Promise<INodeCredentialTestResult>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
