"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyncroMsp = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const SyncroMspV1_node_1 = require("./v1/SyncroMspV1.node");
class SyncroMsp extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'SyncroMSP',
            name: 'syncroMsp',
            icon: 'file:syncromsp.png',
            group: ['output'],
            subtitle: '={{$parameter["operation"] + ": " + $parameter["resource"]}}',
            description: 'Manage contacts, tickets and more from Syncro MSP',
            defaultVersion: 1,
        };
        const nodeVersions = {
            1: new SyncroMspV1_node_1.SyncroMspV1(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.SyncroMsp = SyncroMsp;
//# sourceMappingURL=SyncroMsp.node.js.map