"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createContact = void 0;
const transport_1 = require("../../../transport");
async function createContact(index) {
    const id = this.getNodeParameter('customerId', index);
    const email = this.getNodeParameter('email', index);
    const { address, notes, phone, name } = this.getNodeParameter('additionalFields', index);
    const qs = {};
    const requestMethod = 'POST';
    const endpoint = 'contacts';
    let body = {};
    let addressData = address;
    if (addressData) {
        addressData = addressData.addressFields;
        addressData.address1 = addressData.address;
    }
    body = {
        ...addressData,
        customer_id: id,
        email,
        name,
        notes,
        phone,
    };
    const responseData = await transport_1.apiRequest.call(this, requestMethod, endpoint, body, qs);
    return this.helpers.returnJsonArray(responseData);
}
exports.createContact = createContact;
//# sourceMappingURL=execute.js.map