"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.updateContact = void 0;
const transport_1 = require("../../../transport");
async function updateContact(index) {
    const id = this.getNodeParameter('contactId', index);
    const { address, customerId, email, name, notes, phone } = this.getNodeParameter('updateFields', index);
    const qs = {};
    const requestMethod = 'PUT';
    const endpoint = `contacts/${id}`;
    let body = {};
    let addressData = address;
    if (addressData) {
        addressData = addressData.addressFields;
        addressData.address1 = addressData.address;
    }
    body = {
        ...addressData,
        contact_id: id,
        customer_id: customerId,
        email,
        name,
        notes,
        phone,
    };
    const responseData = await transport_1.apiRequest.call(this, requestMethod, endpoint, body, qs);
    return this.helpers.returnJsonArray(responseData);
}
exports.updateContact = updateContact;
//# sourceMappingURL=execute.js.map