"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTicket = void 0;
const transport_1 = require("../../../transport");
async function createTicket(index) {
    const id = this.getNodeParameter('customerId', index);
    const subject = this.getNodeParameter('subject', index);
    const { assetId, issueType, status, contactId } = this.getNodeParameter('additionalFields', index);
    const qs = {};
    const requestMethod = 'POST';
    const endpoint = 'tickets';
    let body = {};
    body = {
        asset_id: assetId,
        problem_type: issueType,
        status,
        contact_id: contactId,
    };
    body.customer_id = id;
    body.subject = subject;
    const responseData = await transport_1.apiRequest.call(this, requestMethod, endpoint, body, qs);
    return this.helpers.returnJsonArray(responseData.ticket);
}
exports.createTicket = createTicket;
//# sourceMappingURL=execute.js.map