export declare type queryIndexSignature = '_field' | '_gt' | '_value' | '_gte' | '_lt' | '_lte' | '_and' | '_or' | '_not' | '_in' | '_contains' | '_id' | '_between' | '_parent' | '_child' | '_type' | '_string' | '_like' | '_wildcard';
export type IQueryObject = {
    [key in queryIndexSignature]?: IQueryObject | IQueryObject[] | string | number | object;
};
export declare function Eq(field: string, value: any): IQueryObject;
export declare function Gt(field: string, value: any): IQueryObject;
export declare function Gte(field: string, value: any): IQueryObject;
export declare function Lt(field: string, value: any): IQueryObject;
export declare function Lte(field: string, value: any): IQueryObject;
export declare function And(...criteria: IQueryObject[]): IQueryObject;
export declare function Or(...criteria: IQueryObject[]): IQueryObject;
export declare function Not(criteria: IQueryObject[]): IQueryObject;
export declare function In(field: string, values: any[]): IQueryObject;
export declare function Contains(field: string): IQueryObject;
export declare function Id(id: string | number): IQueryObject;
export declare function Between(field: string, fromValue: any, toValue: any): IQueryObject;
export declare function ParentId(tpe: string, id: string): IQueryObject;
export declare function Parent(tpe: string, criterion: IQueryObject): IQueryObject;
export declare function Child(tpe: string, criterion: IQueryObject): IQueryObject;
export declare function Type(tpe: string): IQueryObject;
export declare function queryString(query: string): IQueryObject;
export declare function Like(field: string, value: string): IQueryObject;
export declare function StartsWith(field: string, value: string): {
    _wildcard: {
        _field: string;
        _value: string;
    };
};
export declare function EndsWith(field: string, value: string): {
    _wildcard: {
        _field: string;
        _value: string;
    };
};
export declare function ContainsString(field: string, value: string): {
    _wildcard: {
        _field: string;
        _value: string;
    };
};
