import type { IDataObject } from 'n8n-workflow';
export declare const enum AlertStatus {
    NEW = "New",
    UPDATED = "Updated",
    IGNORED = "Ignored",
    IMPORTED = "Imported"
}
export declare const enum TLP {
    white = 0,
    green = 1,
    amber = 2,
    red = 3
}
export interface IAlert {
    id?: string;
    title?: string;
    description?: string;
    severity?: number;
    date?: Date;
    tags?: string[];
    tlp?: TLP;
    status?: AlertStatus;
    type?: string;
    source?: string;
    sourceRef?: string;
    artifacts?: IDataObject[];
    follow?: boolean;
    caseTemplate?: string;
    lastSyncDate?: Date;
    case?: string;
    createdBy?: string;
    createdAt?: Date;
    updatedBy?: string;
    upadtedAt?: Date;
}
