"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Todoist = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const TodoistV1_node_1 = require("./v1/TodoistV1.node");
const TodoistV2_node_1 = require("./v2/TodoistV2.node");
class Todoist extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'Todoist',
            name: 'todoist',
            icon: 'file:todoist.svg',
            group: ['output'],
            defaultVersion: 2,
            subtitle: '={{$parameter["operation"] + ": " + $parameter["resource"]}}',
            description: 'Consume Todoist API',
        };
        const nodeVersions = {
            1: new TodoistV1_node_1.TodoistV1(baseDescription),
            2: new TodoistV2_node_1.TodoistV2(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.Todoist = Todoist;
//# sourceMappingURL=Todoist.node.js.map