import type { IExecuteFunctions, ILoadOptionsFunctions, INodeExecutionData, INodeListSearchResult, INodePropertyOptions, INodeType, INodeTypeBaseDescription, INodeTypeDescription } from 'n8n-workflow';
export declare class TodoistV2 implements INodeType {
    description: INodeTypeDescription;
    constructor(baseDescription: INodeTypeBaseDescription);
    methods: {
        listSearch: {
            searchProjects(this: ILoadOptionsFunctions): Promise<INodeListSearchResult>;
            searchLabels(this: ILoadOptionsFunctions): Promise<INodeListSearchResult>;
        };
        loadOptions: {
            getProjects(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getSections(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getItems(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
            getLabels(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
        };
    };
    execute(this: IExecuteFunctions): Promise<INodeExecutionData[][]>;
}
