"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.togglApiRequest = void 0;
const n8n_workflow_1 = require("n8n-workflow");
async function togglApiRequest(method, resource, body = {}, query, uri) {
    const credentials = await this.getCredentials('togglApi');
    const headerWithAuthentication = Object.assign({}, {
        Authorization: ` Basic ${Buffer.from(`${credentials.username}:${credentials.password}`).toString('base64')}`,
    });
    const options = {
        headers: headerWithAuthentication,
        method,
        qs: query,
        uri: uri || `https://api.track.toggl.com/api/v8${resource}`,
        body,
        json: true,
    };
    if (Object.keys(options.body).length === 0) {
        delete options.body;
    }
    try {
        return await this.helpers.request(options);
    }
    catch (error) {
        throw new n8n_workflow_1.NodeApiError(this.getNode(), error);
    }
}
exports.togglApiRequest = togglApiRequest;
//# sourceMappingURL=GenericFunctions.js.map