"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortByCode = exports.shuffleArray = void 0;
const vm2_1 = require("@n8n/vm2");
const n8n_workflow_1 = require("n8n-workflow");
const shuffleArray = (array) => {
    for (let i = array.length - 1; i > 0; i--) {
        const j = Math.floor(Math.random() * (i + 1));
        [array[i], array[j]] = [array[j], array[i]];
    }
};
exports.shuffleArray = shuffleArray;
const returnRegExp = /\breturn\b/g;
function sortByCode(items) {
    const code = this.getNodeParameter('code', 0);
    if (!returnRegExp.test(code)) {
        throw new n8n_workflow_1.NodeOperationError(this.getNode(), "Sort code doesn't return. Please add a 'return' statement to your code");
    }
    const mode = this.getMode();
    const vm = new vm2_1.NodeVM({
        console: mode === 'manual' ? 'redirect' : 'inherit',
        sandbox: { items },
    });
    return vm.run(`module.exports = items.sort((a, b) => { ${code} })`);
}
exports.sortByCode = sortByCode;
//# sourceMappingURL=utils.js.map