"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Twitter = void 0;
const n8n_workflow_1 = require("n8n-workflow");
const TwitterV1_node_1 = require("./V1/TwitterV1.node");
const TwitterV2_node_1 = require("./V2/TwitterV2.node");
class Twitter extends n8n_workflow_1.VersionedNodeType {
    constructor() {
        const baseDescription = {
            displayName: 'X (Formerly Twitter)',
            name: 'twitter',
            icon: 'file:x.svg',
            group: ['output'],
            subtitle: '={{$parameter["operation"] + ": " + $parameter["resource"]}}',
            description: 'Consume the X API',
            defaultVersion: 2,
        };
        const nodeVersions = {
            1: new TwitterV1_node_1.TwitterV1(baseDescription),
            2: new TwitterV2_node_1.TwitterV2(baseDescription),
        };
        super(nodeVersions, baseDescription);
    }
}
exports.Twitter = Twitter;
//# sourceMappingURL=Twitter.node.js.map