import type { IExecuteFunctions, IHookFunctions, ILoadOptionsFunctions, IDataObject, INodePropertyOptions, IHttpRequestMethods } from 'n8n-workflow';
export interface ITypeformDefinition {
    fields: ITypeformDefinitionField[];
}
export interface ITypeformDefinitionField {
    id: string;
    title: string;
}
export interface ITypeformAnswer {
    field: ITypeformAnswerField;
    type: string;
    [key: string]: string | ITypeformAnswerField | object;
}
export interface ITypeformAnswerField {
    id: string;
    type: string;
    ref: string;
    [key: string]: string | object;
}
export declare function apiRequest(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions, method: IHttpRequestMethods, endpoint: string, body: object, query?: IDataObject): Promise<any>;
export declare function apiRequestAllItems(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions, method: IHttpRequestMethods, endpoint: string, body: IDataObject, query?: IDataObject, _dataKey?: string): Promise<any>;
export declare function getForms(this: ILoadOptionsFunctions): Promise<INodePropertyOptions[]>;
