import type { IHookFunctions, IWebhookFunctions, ICredentialsDecrypted, ICredentialTestFunctions, INodeCredentialTestResult, INodeType, INodeTypeDescription, IWebhookResponseData } from 'n8n-workflow';
import { getForms } from './GenericFunctions';
export declare class TypeformTrigger implements INodeType {
    description: INodeTypeDescription;
    methods: {
        loadOptions: {
            getForms: typeof getForms;
        };
        credentialTest: {
            testTypeformTokenAuth(this: ICredentialTestFunctions, credential: ICredentialsDecrypted): Promise<INodeCredentialTestResult>;
        };
    };
    webhookMethods: {
        default: {
            checkExists(this: IHookFunctions): Promise<boolean>;
            create(this: IHookFunctions): Promise<boolean>;
            delete(this: IHookFunctions): Promise<boolean>;
        };
    };
    webhook(this: IWebhookFunctions): Promise<IWebhookResponseData>;
}
