"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uprocApiRequest = void 0;
const n8n_workflow_1 = require("n8n-workflow");
async function uprocApiRequest(method, body = {}, qs = {}, uri, _option = {}) {
    const options = {
        method,
        qs,
        body,
        url: 'https://api.uproc.io/api/v2/process',
        json: true,
    };
    try {
        return await this.helpers.httpRequestWithAuthentication.call(this, 'uprocApi', options);
    }
    catch (error) {
        if (error instanceof n8n_workflow_1.NodeApiError)
            throw error;
        throw new n8n_workflow_1.NodeApiError(this.getNode(), error);
    }
}
exports.uprocApiRequest = uprocApiRequest;
//# sourceMappingURL=GenericFunctions.js.map