"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.upleadApiRequest = void 0;
const n8n_workflow_1 = require("n8n-workflow");
async function upleadApiRequest(method, resource, body = {}, qs = {}, uri, option = {}) {
    const credentials = await this.getCredentials('upleadApi');
    let options = {
        headers: { Authorization: credentials.apiKey },
        method,
        qs,
        body,
        uri: uri || `https://api.uplead.com/v2${resource}`,
        json: true,
    };
    options = Object.assign({}, options, option);
    if (Object.keys(options.body).length === 0) {
        delete options.body;
    }
    try {
        return await this.helpers.request(options);
    }
    catch (error) {
        throw new n8n_workflow_1.NodeApiError(this.getNode(), error);
    }
}
exports.upleadApiRequest = upleadApiRequest;
//# sourceMappingURL=GenericFunctions.js.map