import type { IDataObject, IExecuteFunctions, IHookFunctions, ILoadOptionsFunctions } from 'n8n-workflow';
export declare function wiseApiRequest(this: IHookFunctions | IExecuteFunctions | ILoadOptionsFunctions, method: 'GET' | 'POST' | 'PUT' | 'DELETE' | 'HEAD' | 'PATCH', endpoint: string, body?: IDataObject, qs?: IDataObject, option?: IDataObject): Promise<any>;
export declare function getTriggerName(eventName: string): IDataObject | IDataObject[] | import("n8n-workflow").GenericValue | import("n8n-workflow").GenericValue[];
export type BorderlessAccount = {
    id: number;
    balances: Array<{
        currency: string;
    }>;
};
export type ExchangeRateAdditionalFields = {
    interval: 'day' | 'hour' | 'minute';
    range: {
        rangeProperties: {
            from: string;
            to: string;
        };
    };
    time: string;
};
export type Profile = {
    id: number;
    type: 'business' | 'personal';
};
export type Recipient = {
    active: boolean;
    id: number;
    accountHolderName: string;
    country: string | null;
    currency: string;
    type: string;
};
export type StatementAdditionalFields = {
    lineStyle: 'COMPACT' | 'FLAT';
    range: {
        rangeProperties: {
            intervalStart: string;
            intervalEnd: string;
        };
    };
};
export type TransferFilters = {
    [key: string]: string | IDataObject;
    range: {
        rangeProperties: {
            createdDateStart: string;
            createdDateEnd: string;
        };
    };
    sourceCurrency: string;
    status: string;
    targetCurrency: string;
};
export declare const livePublicKey = "\n-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAvO8vXV+JksBzZAY6GhSO\nXdoTCfhXaaiZ+qAbtaDBiu2AGkGVpmEygFmWP4Li9m5+Ni85BhVvZOodM9epgW3F\nbA5Q1SexvAF1PPjX4JpMstak/QhAgl1qMSqEevL8cmUeTgcMuVWCJmlge9h7B1CS\nD4rtlimGZozG39rUBDg6Qt2K+P4wBfLblL0k4C4YUdLnpGYEDIth+i8XsRpFlogx\nCAFyH9+knYsDbR43UJ9shtc42Ybd40Afihj8KnYKXzchyQ42aC8aZ/h5hyZ28yVy\nOj3Vos0VdBIs/gAyJ/4yyQFCXYte64I7ssrlbGRaco4nKF3HmaNhxwyKyJafz19e\nHwIDAQAB\n-----END PUBLIC KEY-----";
export declare const testPublicKey = "\n-----BEGIN PUBLIC KEY-----\nMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAwpb91cEYuyJNQepZAVfP\nZIlPZfNUefH+n6w9SW3fykqKu938cR7WadQv87oF2VuT+fDt7kqeRziTmPSUhqPU\nys/V2Q1rlfJuXbE+Gga37t7zwd0egQ+KyOEHQOpcTwKmtZ81ieGHynAQzsn1We3j\nwt760MsCPJ7GMT141ByQM+yW1Bx+4SG3IGjXWyqOWrcXsxAvIXkpUD/jK/L958Cg\nnZEgz0BSEh0QxYLITnW1lLokSx/dTianWPFEhMC9BgijempgNXHNfcVirg1lPSyg\nz7KqoKUN0oHqWLr2U1A+7kqrl6O2nx3CKs1bj1hToT1+p4kcMoHXA7kA+VBLUpEs\nVwIDAQAB\n-----END PUBLIC KEY-----";
